<script setup lang="ts">
import { RouterLink, RouterView } from "vue-router";
import SearchBox from "./components/SearchBox.vue";
import { ref, provide } from 'vue'

const options = { 'name':'Name', 'id':'Identifier', 'episode':'Episode' };
</script>

<template>
  <header>
    <div class="header">
      <RouterLink to="/"><img src="./assets/logo.png" alt="Logo" class="logo" /></RouterLink>
      <SearchBox  :options="options" />
    </div>
    <div class="wrapper">
      <nav>
        <RouterLink to="/">All Characters</RouterLink>
        <RouterLink to="/favorites">Favorites</RouterLink>
      </nav>
    </div>
  </header>
  <section class="content">
    <RouterView />
  </section>
</template>

<style scoped>
header {
  width:100%;
}
header > .header {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: center;
  justify-content: flex-start;
  align-items: center;
  gap: 5rem;
  border-bottom: 1px solid #E5EAF4;
  padding-top: 2rem;
  padding-bottom: 2rem;
}

.logo {
  width: 240px;
  height: 70px;
}

nav {
  width: 100%;
  text-align: center;
  margin: 1.5rem 0;
  display:flex;
  flex-direction: row;
  flex-wrap: nowrap;
  gap: 1rem;
  justify-content: flex-start;
}

nav a.router-link-exact-active {
  color: #11B0C8;
  padding-bottom: 3px;
  border-bottom:3px solid #11B0C8;
}

nav a.router-link-exact-active:hover {
  background-color: transparent;
}

nav a {
  background-color: transparent;
  color: var(--color-text);
  display: inline-block;
  padding: 0;
}

nav a:hover{
  color: #11B0C8;
}

@media (min-width: 1024px) {
  header {
    flex-direction: column;
    align-items: flex-start;
  }
  header > div {
    padding-left: 8.75rem;
    padding-right: 8.75rem;
  }

  .logo {
    margin: 0 2rem 0 0;
  }

  header .wrapper {
    display: flex;
    place-items: flex-start;
    flex-wrap: wrap;
  }

  nav {
    text-align: left;
    font-size: 1rem;
  }
}
@media (max-width: 1024px) {
  header > .header {
    justify-content: center;
  }
}
</style>
